<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\View_Model\Classic_Checkout;

class Payment_Method_Item_Card {

	/**
	 * @var string
	 */
	private string $provider;

	/**
	 * @var string
	 */
	private string $last_digits_of_card_number;

	/**
	 * @param string $provider
	 * @param string $last_digits_of_card_number
	 */
	public function __construct(
		string $provider,
		string $last_digits_of_card_number
	) {
		$this->provider                   = $provider;
		$this->last_digits_of_card_number = $last_digits_of_card_number;
	}

	public function get_provider(): string {
		return $this->provider;
	}

	public function get_last_digits_of_card_number(): string {
		return $this->last_digits_of_card_number;
	}
}
